## ws-butler 0.6

=== Makefile ===
EMACS=emacs
EMACS23=emacs23
EMACS-OPTIONS=

.PHONY: test test-nw travis-ci show-version before-test

show-version: show-version
	echo "*** Emacs version ***"
	echo "EMACS = `which ${EMACS}`"
	${EMACS} --version

install-ert:
	emacs --batch -L "${PWD}/lib/ert/lisp/emacs-lisp" --eval "(require 'ert)" || ( git clone git://github.com/ohler/ert.git lib/ert && cd lib/ert && git checkout 00aef6e43 )


before-test: show-version install-ert

test: before-test
	${EMACS} -Q -L . -l tests/run-test.el

test-nw: before-test
	${EMACS} -Q -nw -L . -l tests/run-test.el

travis-ci: before-test
	echo ${EMACS-OPTIONS}
	${EMACS} -batch -Q -l tests/run-test.el

## ws-butler 0.3+git.a998a23

=== debian/changelog ===
ws-butler (0.3+git.a998a23-1) unstable; urgency=medium

  * Initial release (Closes: #823889).

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 13 May 2016 12:59:09 -0700

=== debian/control ===
Source: ws-butler
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Sean Whitton <spwhitton@spwhitton.name>
Build-Depends: debhelper (>= 9.20160402),
 dh-elpa
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/ws-butler.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/ws-butler.git
Homepage: https://github.com/lewang/ws-butler

Package: elpa-ws-butler
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends},
 emacs
Recommends: emacs (>= 46.0)
Enhances: emacs,
 emacs24
Built-Using: ${misc:Built-Using}
Description: unobtrusively remove trailing whitespace in Emacs
 This package provides ws-butler-mode and ws-butler-global-mode.  Upon
 saving a file in Emacs, these modes delete trailing whitespace on
 lines of the buffer that have been edited.
 .
 As compared with simply calling delete-trailing-whitespace in your
 before-save-hook, ws-butler has the advantage of not cluttering up
 version control commits with whitespace cleanup outside of the part
 of the file you have edited.

=== debian/rules ===
#!/usr/bin/make -f

export DH_ELPA_TEST_ERT_HELPER=tests/run-test.el

%:
	dh $@ --parallel --with elpa

## ws-butler 0.5

=== debian/changelog ===
ws-butler (0.5-1) unstable; urgency=medium

  * New upstream release.
  * Add patch-README-for-Debian.patch.
  * Add patch-test-suite-for-Debian.patch.
  * Add Testsuite: field.
  * Drop dh_elpa_test config from d/rules.
    Not actually needed, and breaks autopkgtest.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 14 Sep 2016 12:18:21 -0700

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/ws-butler.git/
 Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/ws-butler.git
 Homepage: https://github.com/lewang/ws-butler
+Testsuite: autopkgtest-pkg-elpa
 
 Package: elpa-ws-butler
 Architecture: all

=== debian/watch ===
version=4
opts="mode=git" https://github.com/lewang/ws-butler refs/tags/v([\d\.\d\.]+) debian

## ws-butler 0.6

=== debian/changelog ===
ws-butler (0.6-4) unstable; urgency=medium

  * Team upload
  [ David Krauser ]
  * Update maintainer email address

  [ Dhavan Vaidya ]
  * d/control: Change Vcs-{Browser,Git} URL to salsa.debian.org

  [ David Bremner ]
  * Rebuild with dh-elpa 2.x

 -- David Bremner <bremner@debian.org>  Thu, 21 Jan 2021 08:18:18 -0400

ws-butler (0.6-3) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Mon, 26 Aug 2019 15:18:38 -0300

ws-butler (0.6-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with dh-elpa 1.13 to fix byte-compilation with unversioned
    emacs

 -- David Bremner <bremner@debian.org>  Sat, 02 Jun 2018 21:27:19 -0300

ws-butler (0.6-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 12 Jan 2017 08:23:49 -0700

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: ws-butler
 Section: lisp
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
+Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
 Uploaders: Sean Whitton <spwhitton@spwhitton.name>
 Build-Depends: debhelper (>= 9.20160402),
  dh-elpa
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/ws-butler.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/ws-butler.git
+Vcs-Browser: https://salsa.debian.org/emacsen-team/ws-butler
+Vcs-Git: https://salsa.debian.org/emacsen-team/ws-butler.git
 Homepage: https://github.com/lewang/ws-butler
 Testsuite: autopkgtest-pkg-elpa

## ws-butler 0.7

=== debian/changelog ===
ws-butler (0.7-1) unstable; urgency=medium

  [ Sean Whitton ]
  * New upstream release.
  * Refresh patch.
  * Fix thinko line-end-position->line-beginning-position.

  [ Nicholas D Steeves ]
  * Drop emacs24 from Enhances (package does not exist in bullseye).

  [ Debian Janitor ]
  * Bump debhelper dependency to >= 10, since that's what is used in
    debian/compat.
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop unnecessary dh arguments: --parallel

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 28 Dec 2024 09:17:27 +0000

ws-butler (0.6-5) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 26 Jul 2024 11:39:05 +0900

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
 Uploaders: Sean Whitton <spwhitton@spwhitton.name>
-Build-Depends: debhelper (>= 9.20160402),
- dh-elpa
+Build-Depends: debhelper-compat (= 13), dh-elpa
 Standards-Version: 3.9.8
 Vcs-Browser: https://salsa.debian.org/emacsen-team/ws-butler
 Vcs-Git: https://salsa.debian.org/emacsen-team/ws-butler.git
@@ -16,8 +15,7 @@
 Depends: ${elpa:Depends}, ${misc:Depends},
  emacs
 Recommends: emacs (>= 46.0)
-Enhances: emacs,
- emacs24
+Enhances: emacs
 Built-Using: ${misc:Built-Using}
 Description: unobtrusively remove trailing whitespace in Emacs
  This package provides ws-butler-mode and ws-butler-global-mode.  Upon

## ws-butler 1.0

=== debian/changelog ===
ws-butler (1.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Update Homepage.
  * d/copyright: Update Source.
  * Drop fix-thinko.patch.
    Applied upstream.
  * Refresh remaining patches.
  * d/copyright: Update upstream copyright notices.
  * Declare compliance with Debian Policy 4.7.0.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 19 Feb 2025 10:54:53 +0800

## ws-butler 1.1

=== debian/changelog ===
ws-butler (1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 21 Feb 2025 18:44:39 +0800

## ws-butler 1.2

=== debian/changelog ===
ws-butler (1.2-2) unstable; urgency=medium

  * Delete outdated d/watch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 03 Mar 2025 14:03:18 +0800

ws-butler (1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 25 Feb 2025 12:43:10 +0800

## ws-butler 1.3

=== debian/changelog ===
ws-butler (1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 12 Mar 2025 16:19:14 +0800

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
 Uploaders: Sean Whitton <spwhitton@spwhitton.name>
 Build-Depends: debhelper-compat (= 13), dh-elpa
-Standards-Version: 3.9.8
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/emacsen-team/ws-butler
 Vcs-Git: https://salsa.debian.org/emacsen-team/ws-butler.git
-Homepage: https://github.com/lewang/ws-butler
+Homepage: https://elpa.nongnu.org/nongnu/ws-butler.html
 Testsuite: autopkgtest-pkg-elpa
 
 Package: elpa-ws-butler
